import { getErrorContainer } from '../error-util';
/**
 * Shows the error dialog
 * @internal
 * @param error - The ErrorStructure object
 * @param tagName - The tag name to create prefix for the design system provider & error component
 * @returns
 * */
export const showDialog = (error, tagName) => {
    const tagPrefix = tagName.split('-')[0];
    const dialog = document.createElement(`${tagPrefix}-error-dialog`);
    const container = getErrorContainer('dialog-container', tagName);
    container.appendChild(dialog);
    dialog.error = error;
    dialog.show();
};
